ICAOObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.icao

## Interface ICAOObjectIdentifiers

- All Known Implementing Classes:
    LDSSecurityObject

      public interface ICAOObjectIdentifiers

  { ISOITU(2) intorgs(23) icao(136) }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `id_icao` 2.23.136
    `static ASN1ObjectIdentifier` | `id_icao_aaProtocolObject` Active Authentication protocol, see draft TR LDS and PKI Maintenance, par. 5.2.2 2.23.136.1.1.5
    `static ASN1ObjectIdentifier` | `id_icao_cscaMasterList` CSCA master list, see TR CSCA Countersigning and Master List issuance 2.23.136.1.1.2
    `static ASN1ObjectIdentifier` | `id_icao_cscaMasterListSigningKey` 2.23.136.1.1.3
    `static ASN1ObjectIdentifier` | `id_icao_documentTypeList` document type list, see draft TR LDS and PKI Maintenance, par. 3.2.1 2.23.136.1.1.4
    `static ASN1ObjectIdentifier` | `id_icao_extensions` CSCA name change and key reoll-over, see draft TR LDS and PKI Maintenance, par. 3.2.1 2.23.136.1.1.6
    `static ASN1ObjectIdentifier` | `id_icao_extensions_namechangekeyrollover` 2.23.136.1.1.6.1
    `static ASN1ObjectIdentifier` | `id_icao_ldsSecurityObject` LDS security object, see ICAO Doc 9303-Volume 2-Section IV-A3.2 2.23.136.1.1.1
    `static ASN1ObjectIdentifier` | `id_icao_mrtd` 2.23.136.1
    `static ASN1ObjectIdentifier` | `id_icao_mrtd_security` 2.23.136.1.1

- - ### Field Detail

    - #### id_icao

          static final ASN1ObjectIdentifier id_icao

      2.23.136

    - #### id_icao_mrtd

          static final ASN1ObjectIdentifier id_icao_mrtd

      2.23.136.1

    - #### id_icao_mrtd_security

          static final ASN1ObjectIdentifier id_icao_mrtd_security

      2.23.136.1.1

    - #### id_icao_ldsSecurityObject

          static final ASN1ObjectIdentifier id_icao_ldsSecurityObject

      LDS security object, see ICAO Doc 9303-Volume 2-Section IV-A3.2

      2.23.136.1.1.1

    - #### id_icao_cscaMasterList

          static final ASN1ObjectIdentifier id_icao_cscaMasterList

      CSCA master list, see TR CSCA Countersigning and Master List issuance

      2.23.136.1.1.2

    - #### id_icao_cscaMasterListSigningKey

          static final ASN1ObjectIdentifier id_icao_cscaMasterListSigningKey

      2.23.136.1.1.3

    - #### id_icao_documentTypeList

          static final ASN1ObjectIdentifier id_icao_documentTypeList

      document type list, see draft TR LDS and PKI Maintenance, par. 3.2.1

      2.23.136.1.1.4

    - #### id_icao_aaProtocolObject

          static final ASN1ObjectIdentifier id_icao_aaProtocolObject

      Active Authentication protocol, see draft TR LDS and PKI Maintenance, par. 5.2.2

      2.23.136.1.1.5

    - #### id_icao_extensions

          static final ASN1ObjectIdentifier id_icao_extensions

      CSCA name change and key reoll-over, see draft TR LDS and PKI Maintenance, par. 3.2.1

      2.23.136.1.1.6

    - #### id_icao_extensions_namechangekeyrollover

          static final ASN1ObjectIdentifier id_icao_extensions_namechangekeyrollover

      2.23.136.1.1.6.1